<?php /**
 * Generate the CSS for the current custom color scheme.
 */
function omago_wp_custom_colors_css() {

// Main Color (black)
$omago_wp_main_color1 = get_theme_mod('omago_wp_main_color1');
if (!empty($omago_wp_main_color1)) {
    // BG Color
    echo esc_html('.module-section .article-btn, h3.index-title span, .widget-title, .comments .article-btn, .comments h3.comment-reply-title { background-color: '. $omago_wp_main_color1 .' !important;} ');
}
// Main Color (red)
$omago_wp_main_color2 = get_theme_mod('omago_wp_main_color2');
if (!empty($omago_wp_main_color2)) {
    // BG Color
    echo esc_html('.wp-pagenavi a:hover, .wp-pagenavi span.current, .my-paginated-posts span, #back-top span  { background-color: '. $omago_wp_main_color2 .' !important;} ');
    //Color
    echo esc_html('a:hover, .jquerycssmenu ul li a:hover,  .jquerycssmenu ul li i, .top-social li a, .footer-copyright a { color: '. $omago_wp_main_color2 .' !important;} ');
    // Border Color
    echo esc_html('.entry p a:hover, div.p-first-letter p:first-child:first-letter, footer { border-color: '. $omago_wp_main_color2 .' !important;} ');
}
// Main Color (yellow)
$omago_wp_main_color3 = get_theme_mod('omago_wp_main_color3');
if (!empty($omago_wp_main_color3)) {
    // BG Color
    echo esc_html('.module-section .article-btn-more, .single-category a, #commentform, #single-share a.commbutton  { background-color: '. $omago_wp_main_color3 .' !important;} ');
}
// Entry Link Color
$omago_wp_entry_linkcolor = get_theme_mod('omago_wp_entry_linkcolor');
if (!empty($omago_wp_entry_linkcolor)) {
    // Color
    echo esc_html('.entry p a, .entry .um-profile-body a { color: '. $omago_wp_entry_linkcolor .' !important;} ');
    // Border
    echo esc_html('.entry p a { border-color: '. $omago_wp_entry_linkcolor .' !important;} ');
}
    // Admin Bar
if ( is_admin_bar_showing() ) {
    echo esc_html(' .modal-content {  margin: 30px auto 0 auto; } #responsive-menu-button { margin-top:45px !important; } '); 
} else { 
    echo esc_html(' .modal-content {  margin: auto; } '); 
}
} ?>